#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 33. GNOME Libraries and Desktop

- Prev

  gnome-online-accounts-3.52.3.1

- Next

  libgee-0.20.8

- Up
- Home

# libgdata-0.18.1

## Introduction to libgdata

The libgdata package is a GLib-based library for accessing online service APIs using the GData protocol, most notably, Google's services. It provides APIs to access the common Google services and has full asynchronous support.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/libgdata/0.18/libgdata-0.18.1.tar.xz

- Download MD5 sum: 92b058d1a0af5d1b96c86c21820f1eff

- Download size: 832 KB

- Estimated disk space required: 54 MB (with tests)

- Estimated build time: 0.5 SBU (with tests)

### libgdata Dependencies

#### Required

libsoup-2.74.3, gnome-online-accounts-3.52.3.1, GTK-3.24.48, JSON-GLib-1.10.6, and Vala-0.56.17

#### Recommended

Gcr-3.41.2 and GLib-2.82.5 (with GObject Introspection)

#### Optional

GTK-Doc-1.34.0 (for documentation) and liboauth-1.0.3 (for OAuth v1 support)

## Installation of libgdata

Install libgdata by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr               \
                --buildtype=release         \
                -D gtk_doc=false            \
                -D always_build_tests=false \
                ..                          &&
    ninja

This package does not come with a functional test suite.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D gtk_doc=false`: Remove this if you have GTK-Doc-1.34.0 installed and want to rebuild the documentation with it.

`-D oauth1=enabled`: Use this option if you wish to build in support for OAuth v1. Note that you must have liboauth-1.0.3 installed in order to enable this option.

## Contents

Installed Programs: None
Installed Libraries: libgdata.so
Installed Directories: /usr/include/libgdata and /usr/share/gtk-doc/html/gdata

### Short Descriptions

`libgdata.so` | contains the libgdata API functions

- Prev

  gnome-online-accounts-3.52.3.1

- Next

  libgee-0.20.8

- Up
- Home